#!/bin/bash

URL="https://http.bosch-iot-hub.com/telemetry"
TTD="10"
KEY="ZGVmaW5tYUB0MzhiYmNjZDE2MjE3NDViODgxMTk5ZGI2ZWQzZGFiNmE6RGVGaW5NYWNoZW4yMDIwIQ=="

# Build name
# Basename of file with the last dot replaced by a slash and .DPT extension
NAME=$(basename $1)
NAME="${NAME%.*}_${NAME##*.}.DPT"

# Build body
JSON="{\"filename\":\"$NAME\",\"dpt\":["
while read LINE
do
	JSON+="[\"${LINE%,*}\",\"${LINE#*,}\"], "
done < $1
JSON=${JSON::-2}
JSON+=']}'

# Dispatch curl
curl -X POST $URL -H "accept: */*" -H "hono-ttd: $TTD" -H "Authorization: Basic $KEY" -H "Content-Type: application/json" -d "$JSON"
